Skip to main content
POST
Add a milestone

Headers

Authorization
enum<string>
default:NONE
required

Reserved for PCX-managed applications. External API integrations must always send the literal string NONE — this is the only accepted value.

Available options:
NONE
Example:

"NONE"

X-Api-Key
string
default:NONE
required

Your API key. This is the only supported credential.

Example:

"pcx_abc123_xxxx"

Path Parameters

escrow_id
string
required

Body

application/json
label
string
required
expected_disbursement
number<float>
required

Amount to be released when the milestone disburses; must be greater than 0

description
string
sequence
integer

Position of the milestone within the project

Required range: x >= 1
due_date
string

Response

Updated escrow entity including the new milestone

status
enum<string>
Available options:
success,
error
Example:

"success"

message
string
data
object